---
title: Tvorba nezodpovedateľných otázok
published: false
---

Pomôžte nám pri vedeckom výskume tým, že naučíte stroj odpovedať na otázky z Wikipédie. 
Účasť v tomto experimente Vám pomôže vylepšiť Vaše študijné výsledky a vyhrať televízny kvíz "Tisícionár".
Hotová nezodpovedateľná otázka a odpoveď bude slúžiť ako negatívny príklad pre učenie systému pre automatické odpovede. Vďaka negatívnym príkladom bude možné lepšie rozlíšiť, ktoré odpovede systému sú nerelevantné k danému odseku.

Ak chcete, pozrite si  [motivačnú prednášku](https://files.kemt.fei.tuke.sk/predmety/usaa/videa/usaa20pr10.mp4) o  systémoch na generovanie odpovede na otázku v prirodzenom jazyku.

# Úloha

Vašou úlohou bude vymýšľanie "nezodpovedateľných" otázok k zobrazenému odseku.
Nezodpovedateľná otázka by mala vyzerať relevantne a obsahovať podobné slová aké sú v zobrazenom odseku. V aktuálnom odseku by mala existovať uspokojivá ale nesprávna odpoveď na nezodpovedateľnú otázku.

Nezodpovedateľná otázka musí mať tieto vlastnosti: 

- je gramaticky správna.
- obsahuje slová ktoré sa nachádzajú v odseku.
- v odseku sa nenachádza správna odpoveď na nezodpovedateľnú otázku, nemusí vôbec existovať.
- v odseku sa nachádza gramaticky správna, ale významovo nesprávna odpoveď.

# Pracovný postup

V úlohe sa vám zobrazí odsek a príklad na zodpovedateľnú otázku. Príklad môžete využiť ako inšpiráciu alebo môžete vymyslieť úplne inú nezodpovedateľnú otázku.

Ak využijete ponúkanú zodpovedateľnú otázku, tak nezodpovedateľnú otázku vytvoríte:

- Negáciou slovesa otázky.
- Pridaním antonymu (protikladu) namiesto niektorého podstatného mena.
- Výmenou pomenovanej entity (vlastného podstatného mena) za iné.
- Pridaním nemožnej podmienky k otázke, napr. času alebo spôsobu.

V odseku vyznačte uspokojivú odpoveď na položenú otázku.

- Uspokojivá odpoveď musí gramaticky sedieť s otázkou.
- Uspokojivá odpoveď môže byť významovo nesprávna.


